org.bouncycastle.openpgp.examples

## Class PBEFileProcessor

- java.lang.Object
- - org.bouncycastle.openpgp.examples.PBEFileProcessor

    public class PBEFileProcessor
    extends java.lang.Object

A simple utility class that encrypts/decrypts password based encryption files.

To encrypt a file: PBEFileProcessor -e [-ai] fileName passPhrase.
If -a is specified the output file will be "ascii-armored".
If -i is specified the output file will be "integrity protected".

To decrypt: PBEFileProcessor -d fileName passPhrase.

Note: this example will silently overwrite files, nor does it pay any attention to the specification of "_CONSOLE" in the filename. It also expects that a single pass phrase will have been used.

### Constructor Summary

Constructors
Constructor and Description
`PBEFileProcessor()`

### Method Summary

Methods
`static void` `main(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PBEFileProcessor

    public PBEFileProcessor()

### Method Detail

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`